export declare function generatePackageDependencies({ importJSSDK, mode, officialLibVersion, uin, }: {
    mode: 'lib' | string;
    importJSSDK?: boolean;
    officialLibVersion?: string;
    uin?: string;
}): {
    'miniprogram-gesture': string;
    mobx: string;
    'lodash.get': string;
    'lodash.set': string;
};
export declare function generateLibDependencies(mode: 'mp' | 'h5', officialLibVersion?: any): {};
export declare function generateSystemPackageDependencies({ importJSSDK }: {
    importJSSDK: any;
}): {
    '@cloudbase/adapter-wx_mp': string;
    '@cloudbase/auth': string;
    '@cloudbase/ai': string;
};
